Bug 30695 - Checkouts and holds count display in tab could be better in patron details
Summary: Checkouts and holds count display in tab could be better in patron details
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-05 14:51 UTC by Tomás Cohen Arazi
Modified: 2022-05-17 07:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30695: Display tabs more consistently in patron details (6.32 KB, patch)
2022-05-05 15:06 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30695: Display tabs more consistently in patron details (6.37 KB, patch)
2022-05-05 20:03 UTC, David Nind
Details | Diff | Splinter Review
Bug 30695: Display tabs more consistently in patron details (6.46 KB, patch)
2022-05-06 11:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30695: (QA follow-up) Catch moremember.tt too (9.26 KB, patch)
2022-05-06 11:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30695: (follow-up) Fix selenium test (1.23 KB, patch)
2022-05-17 07:23 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-05-05 14:51:09 UTC
When you look at a biblio's detail you see

| Holdings (count) | Descriptions (count) | ...

The patron detail page displays things in a way that looks untidy and inconsistent with other areas.

| count Checkout(s) | count Hold(s) | ...

This is highly opinionated, but I propose we make it consistent with the biblios one.
Comment 1 Owen Leonard 2022-05-05 14:55:28 UTC
See also Bug 26979
Comment 2 Tomás Cohen Arazi 2022-05-05 15:06:48 UTC
Created attachment 134650 [details] [review]
Bug 30695: Display tabs more consistently in patron details

This patch makes tab texts display 'Thing (count)' as opossed to the
current mix we have.

To test, check before after the patch how it looks.

You need to:
- Enable ArticleRequests
- Set ClaimReturnedLostValue to 1 (for example)
- Have some clubs set
Comment 3 Tomás Cohen Arazi 2022-05-05 15:08:15 UTC
There's still some inconsistency on how we display Claims and Clubs. But that could belong to some other bug.
Comment 4 David Nind 2022-05-05 20:03:08 UTC
Created attachment 134657 [details] [review]
Bug 30695: Display tabs more consistently in patron details

This patch makes tab texts display 'Thing (count)' as opossed to the
current mix we have.

To test, check before after the patch how it looks.

You need to:
- Enable ArticleRequests
- Set ClaimReturnedLostValue to 1 (for example)
- Have some clubs set

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Martin Renvoize 2022-05-06 11:22:50 UTC
Created attachment 134721 [details] [review]
Bug 30695: Display tabs more consistently in patron details

This patch makes tab texts display 'Thing (count)' as opossed to the
current mix we have.

To test, check before after the patch how it looks.

You need to:
- Enable ArticleRequests
- Set ClaimReturnedLostValue to 1 (for example)
- Have some clubs set

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2022-05-06 11:22:54 UTC
Created attachment 134722 [details] [review]
Bug 30695: (QA follow-up) Catch moremember.tt too

This patch does the same treatment for moremember.tt where the same
summary block is includes. We also correct the tab order to be a little
more consistent too.

We should really move this to an include and refer to it from both
templates instead of this copy/paste code..

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-05-06 11:24:08 UTC
This is a marked improvement.. I will revisit the see also now to see how they relate.

Passing QA on this one though.
Comment 8 Fridolin Somers 2022-05-11 09:06:45 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 9 Fridolin Somers 2022-05-16 21:25:31 UTC
This breaks a Selenium test :

kohadev-koha@kohadevbox:/kohadevbox/koha$ prove t/db_dependent/selenium/basic_workflow.t 
t/db_dependent/selenium/basic_workflow.t .. 1/22 CP main = 0.82
t/db_dependent/selenium/basic_workflow.t .. 3/22 CP add patron category = 2.00
t/db_dependent/selenium/basic_workflow.t .. 5/22 CP add patron = 1.66
CP add biblio = 0.08
t/db_dependent/selenium/basic_workflow.t .. 11/22 CP add items = 3.94
t/db_dependent/selenium/basic_workflow.t .. 12/22 
#   Failed test at t/db_dependent/selenium/basic_workflow.t line 238.
#          got: 'Checkouts (1)'
#     expected: '1 Checkout(s)'
t/db_dependent/selenium/basic_workflow.t .. 14/22 
#   Failed test at t/db_dependent/selenium/basic_workflow.t line 238.
#          got: 'Checkouts (2)'
#     expected: '2 Checkout(s)'
t/db_dependent/selenium/basic_workflow.t .. 16/22 
#   Failed test at t/db_dependent/selenium/basic_workflow.t line 238.
#          got: 'Checkouts (3)'
#     expected: '3 Checkout(s)'
Comment 10 Martin Renvoize 2022-05-17 07:23:44 UTC
Created attachment 135053 [details] [review]
Bug 30695: (follow-up) Fix selenium test

The tab title words were re-ordered and we forgot to update the
corresponding selenium test.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2022-05-17 07:24:52 UTC
Fix attached, tested and pushed as rm assist :)